Subject: RE: [KEYPROV] [Fwd: I-DACTION:draft-eastlake-additional-xmlsec-uris-00.txt]

From: KATO Akihiro <[email-masked]>
Date: Fri, 30 Nov 2007 20:39:38 +0900

> > PSKC currently cites some URIs from this document, for example, for the
> > later version of HMAC 256 that are not present in xmlenc and xmldsig
> > document at the time.
> >
> > While we are creating a new URI document, should it become some kind of
> > extension of this doc or an inclusion of this doc? Extension doc would
> > list only ones that are not listed in this doc, xmlenc, and xmldsig
> > spec. Currently, it looks to be an "inclusion" where we list URIs, which
> > refer back to this document.

draft-eastlake-additional-xmlsec-uris includes strong cryptographic
primitives. When I consider recent and few years future cryptographic
attack, I support PSKC document include this draft for hmac-sha256 or
later, and AES backup block cipher Camellia.

I suggest PSKC include following uris and reference:

Section 5.1.2.
http://www.w3.org/2001/04/xmldsig-more#camellia128-cbc
http://www.w3.org/2001/04/xmldsig-more#camellia192-cbc
http://www.w3.org/2001/04/xmldsig-more#camellia256-cbc

Section 5.1.9.
For default support list:
http://www.w3.org/2000/09/xmldsig#hmac-sha1
http://www.w3.org/2001/04/xmldsig-more#hmac-sha256
http://www.w3.org/2001/04/xmldsig-more#hmac-sha384
http://www.w3.org/2001/04/xmldsig-more#hmac-sha512

Section 11:
Reference of draft-eastlake-additional-xmlsec-uris-00.txt,

Thanks.

> > - Ming
> >
>> >> -----Original Message-----
>> >> From: Hannes Tschofenig [mailto:Hannes.Tschofenig at gmx.net]
>> >> Sent: Thursday, November 29, 2007 5:53 AM
>> >> To: keyprov at ietf.org
>> >> Subject: [KEYPROV] [Fwd:
>> >> I-DACTION:draft-eastlake-additional-xmlsec-uris-00.txt]
>> >>
>> >> I ran into this document.
>> >> Since it also defines algorithm identifiers it is also of
>> >> interest for the group.
>> >>
>> >> Ciao
>> >> Hannes
>> >>
>> >> -------- Original Message --------
>> >> Subject: 	I-D ACTION:draft-eastlake-additional-xmlsec-uris-00.txt
>> >> Date: 	Tue, 13 Nov 2007 11:15:01 -0500
>> >> From: 	Internet-Drafts at ietf.org
>> >> Reply-To: 	internet-drafts at ietf.org
>> >> To: 	i-d-announce at ietf.org
>> >>
>> >>
>> >>
>> >> A New Internet-Draft is available from the on-line
>> >> Internet-Drafts directories.
>> >>
>> >>
>> >> 	Title		: Additional XML Security Uniform
>> >> Resource Identifiers (URIs)
>> >> 	Author(s)	: D. Eastlake 3rd
>> >> 	Filename	: draft-eastlake-additional-xmlsec-uris-00.txt
>> >> 	Pages		: 25
>> >> 	Date		: 2007-11-13
>> >> 	
>> >>    This document expands and updates the list of URIs intended for use
>> >>    with XML Digital Signatures, Encryption, Canonnicalization, and Key
>> >>    Management specified in RFC 4051.  These URIs identify
>> >> algorithms and
>> >>    types of information.
>> >>
>> >>
>> >>
>> >> A URL for this Internet-Draft is:
>> >> http://www.ietf.org/internet-drafts/draft-eastlake-additional-
>> >> xmlsec-uris-00.txt
>> >>
>> >> To remove yourself from the I-D Announcement list, send a message to
>> >> i-d-announce-request at ietf.org with the word unsubscribe in
>> >> the body of
>> >> the message.
>> >> You can also visit
>> >> https://www1.ietf.org/mailman/listinfo/I-D-announce
>> >> to change your subscription settings.
>> >>
>> >> Internet-Drafts are also available by anonymous FTP. Login with the
>> >> username "anonymous" and a password of your e-mail address. After
>> >> logging in, type "cd internet-drafts" and then
>> >> "get draft-eastlake-additional-xmlsec-uris-00.txt".
>> >>
>> >> A list of Internet-Drafts directories can be found in
>> >> http://www.ietf.org/shadow.html
>> >> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>> >>
>> >> Internet-Drafts can also be obtained by e-mail.
>> >>
>> >> Send a message to:
>> >> 	mailserv at ietf.org.
>> >> In the body type:
>> >> 	"FILE
>> >> /internet-drafts/draft-eastlake-additional-xmlsec-uris-00.txt".
>> >> 	
>> >> NOTE:	The mail server at ietf.org can return the document in
>> >> 	MIME-encoded form by using the "mpack" utility.  To use this
>> >> 	feature, insert the command "ENCODING mime" before the "FILE"
>> >> 	command.  To decode the response(s), you will need "munpack" or
>> >> 	a MIME-compliant mail reader.  Different MIME-compliant
>> >> mail readers
>> >> 	exhibit different behavior, especially when dealing with
>> >> 	"multipart" MIME messages (i.e. documents which have been split
>> >> 	up into multiple messages), so check your local documentation on
>> >> 	how to manipulate these messages.
>> >>
>> >> Below is the data which will enable a MIME compliant mail reader
>> >> implementation to automatically retrieve the ASCII version of the
>> >> Internet-Draft.
>> >>
>> >>

-- 
 - KATO Akihiro
  + NTT Software Corporation

_______________________________________________
KEYPROV mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/keyprov

---

From: "Pei, Mingliang" <[email-masked]>
Date: Fri, 30 Nov 2007 10:33:34 -0800

Kato,

Thank you very much for the suggestions. For section 11, yes, we will
add the reference in next rev. For the additional algorithms to section 
5.1.2 and 5.1.9, we like to hear more feedbacks in this thread and IETF
meeting next week. The list impacts interop scope.

- Ming

> From: KATO Akihiro [mailto:[email-masked]] 
> Sent: Friday, November 30, 2007 3:40 AM
> To: [email-masked]
> Subject: RE: [KEYPROV] 
> [Fwd:I-DACTION:draft-eastlake-additional-xmlsec-uris-00.txt]
> 
> > > PSKC currently cites some URIs from this document, for 
> example, for 
> > > the later version of HMAC 256 that are not present in xmlenc and 
> > > xmldsig document at the time.
> > >
> > > While we are creating a new URI document, should it 
> become some kind 
> > > of extension of this doc or an inclusion of this doc? 
> Extension doc 
> > > would list only ones that are not listed in this doc, xmlenc, and 
> > > xmldsig spec. Currently, it looks to be an "inclusion" 
> where we list 
> > > URIs, which refer back to this document.
> 
> draft-eastlake-additional-xmlsec-uris includes strong 
> cryptographic primitives. When I consider recent and few 
> years future cryptographic attack, I support PSKC document 
> include this draft for hmac-sha256 or later, and AES backup 
> block cipher Camellia.
> 
> >> >> Since it also defines algorithm identifiers it is also 
> of interest 
> >> >> for the group.
> >> >>
> >> >> Ciao
> >> >> Hannes
> >> >>
> >> >> Subject: 	I-D 
> ACTION:draft-eastlake-additional-xmlsec-uris-00.txt
> >> >> 	Filename	: 
> draft-eastlake-additional-xmlsec-uris-00.txt
> >> >> 	Pages		: 25
> >> >> 	Date		: 2007-11-13
> >> >> 	
> >> >> To remove yourself from the I-D Announcement list, send 
> a message 
> >> >> to i-d-announce-request at ietf.org with the word 
> unsubscribe in 
> >> >> the body of the message.
> >> >> You can also visit
> >> >> Internet-Drafts are also available by anonymous FTP. Login with 
> >> >> the username "anonymous" and a password of your e-mail address. 
> >> >> After logging in, type "cd internet-drafts" and then "get 
> >> >> draft-eastlake-additional-xmlsec-uris-00.txt".
> >> >>
> >> >> http://www.ietf.org/shadow.html or 
> >> >> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >> >>
> >> >> 	a MIME-compliant mail reader.  Different 
> MIME-compliant mail 
> >> >> readers